<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="description" content="Webová aplikace pro správu vodoměru a ventilu - přehled">
<meta name="keywords" content="Správa vodoměru">
<meta name="author" content="Ladislav Hloušek">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<link rel="stylesheet" href="{{ url_for('static', filename='css/modal.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/bootstrap/css/bootstrap.min.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/metisMenu/metisMenu.min.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/datatables-plugins/dataTables.bootstrap.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/datatables-responsive/dataTables.responsive.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/dist/css/sb-admin-2.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/font-awesome/css/font-awesome.min.css') }}" type="text/css">

<title>Fengoo - WATER GUARD</title>
<style>
.very-strong {
  color: #5bf441;
}
.strong {
  color: #bbf441;
}
.good {
  color: #f1f441;
}
.weak {
  color: #f47641;
}
.very-weak {
  color: #f44141;
}
.mail-conf {
  display: none;
}
#show-mail-conf {
  cursor: pointer;
}
</style>
</head>

<body>
<div id="wrapper">
	<!-- Navigation -->
    <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/">
				<img style="display: inline; width: 150px;" src="{{ url_for('static', filename='images/logo.png') }}" alt="logo" title="Logo"/> - WATER GUARD
			</a>
        </div>
		<!-- /.navbar-header -->
		
		<ul class="nav navbar-top-links navbar-left">
			            
		</ul>
		
		<div class="navbar-default sidebar" role="navigation">
			<div class="sidebar-nav navbar-collapse">
				<ul class="nav" id="side-menu">
					<li>
						<a href="/"><i class="fa fa-dashboard fa-fw"></i> Přehled</a>
					</li>
          <li>
						<a href="/kalendar"><i class="fa fa-calendar fa-fw"></i> Kalendář</a>
					</li>          
					<li>
						<a href="/historie"><i class="fa fa-history fa-fw"></i> Historie</a>
					</li>
					<li>
						<a href="/stats"><i class="fa fa-bar-chart fa-fw"></i> Statistiky</a>
					</li>
					<li class="active">
						<a href="/nastaveni"><i class="fa fa-wrench fa-fw"></i> Nastavení</a>
					</li>
					<li>
						<a id="logoutBtn" href="#"><i class="fa fa-sign-out fa-fw"></i> Odhlásit</a>
					</li>
				</ul>
				<p style="text-align:center;">Verze: <span id="ver"></span></p>
				<p style="text-align:center;">© 2016-2022 NetVoice, s.r.o. All rights reserved</p>
			</div>
			<!-- /.sidebar-collapse -->
		</div>
		<!-- /.navbar-static-side -->
    </nav>
	
	<!-- Page Content -->
	<div id="page-wrapper">
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12">
					<h1 class="page-header">Nastavení</h1>
				</div>
				<!-- /.col-lg-12 -->
			</div>
			<!-- /.row -->
			
			<div class="row">
				<div class="col-lg-12 col-md-12 col-xs-12">
					<div class="flashes" style="margin-bottom: 10px;">
							{% with messages = get_flashed_messages(with_categories=true) %}
								{% if messages %}
									{% for category,message in messages %}
										{% if category != "warning" %}
										<div class="afs alert alert-{{ category }}">
										{{ message }}
										</div>
										{% else %}
										<div class="alert alert-{{ category }}">
										{{ message|safe }}
										</div>
										{% endif %}
									{% endfor %}
								{% endif %}
							{% endwith %}
					</div>
							
					<form action="/nastaveni" method="POST">	
					<div class="row">
						<div class="form-group col-lg-4 col-md-4 col-xs-12">
							<label>Počet impulsů / 1 litr:</label>
							<input class="form-control" type="number" name="pulsLitr" value={{ nasVod.PulsLitr }} min=1/> 
							<p class="help-block">př.: 10 impulsů = 1 litr, zadejte č. 10</p>
						</div>
						
								
						<div class="form-group col-lg-4 col-md-4 col-xs-12">
							<label>Předchozí stav vodoměru:</label>
							<input class="form-control" type="number" name="predchoziStavLitry" value={{ nasGlobal.PocatecniStavLitry }} />
							<p class="help-block">Předchozí stav vodoměru v litrech</p>
						</div>
						
								
						<div class="form-group col-lg-2 col-md-2 col-xs-12">
							<label>Limit:</label>
							<input class="form-control" type="number" name="limitLitry" value={{ nasGlobal.LimitLitry }} min=0/> 
							<p class="help-block">Při dosažení limitu ventil se automaticky zavře</p>
						</div>
						
						<div class="form-group col-lg-2 col-md-2 col-xs-12">
							<label>Jednotka limitu:</label>
							<select class="form-control" name="limitJednotka">
								{% if nasGlobal.LimitJednotka == 0 %}
								<option value="0" selected>bez limitu</option>
								<option value="1">litry</option>
								<option value="2">hodiny</option>
								<option value="3">minuty</option>
								<option value="4">litrů / hod.</option>
								<option value="5">litrů / min.</option>
								{% elif nasGlobal.LimitJednotka == 1 %}
								<option value="0">bez limitu</option>
								<option value="1" selected>litry</option>
								<option value="2">hodiny</option>
								<option value="3">minuty</option>
								<option value="4">litrů / hod.</option>
								<option value="5">litrů / min.</option>
								{% elif nasGlobal.LimitJednotka == 2 %}
								<option value="0">bez limitu</option>
								<option value="1">litry</option>
								<option value="2" selected>hodiny</option>
								<option value="3">minuty</option>
								<option value="4">litrů / hod.</option>
								<option value="5">litrů / min.</option>
								{% elif nasGlobal.LimitJednotka == 3 %}
								<option value="0">bez limitu</option>
								<option value="1">litry</option>
								<option value="2">hodiny</option>
								<option value="3" selected>minuty</option>
								<option value="4">litrů / hod.</option>
								<option value="5">litrů / min.</option>
								{% elif nasGlobal.LimitJednotka == 4 %}
								<option value="0">bez limitu</option>
								<option value="1">litry</option>
								<option value="2">hodiny</option>
								<option value="3">minuty</option>
								<option value="4" selected>litrů / hod.</option>
								<option value="5">litrů / min.</option>
								{% elif nasGlobal.LimitJednotka == 5 %}
								<option value="0">bez limitu</option>
								<option value="1">litry</option>
								<option value="2">hodiny</option>
								<option value="3">minuty</option>
								<option value="4">litrů / hod.</option>
								<option value="5" selected>litrů / min.</option>
								{% endif %}                                
							</select> 
							<p class="help-block">Nastaví jednotku pro limit</p>
						</div>
					</div>
						
			
            <div class="row">
              <div class="form-group col-lg-4 col-md-4 col-xs-12">
				
							<label>Automatické zavírání ventilu:</label>
							<select class="form-control" name="autoMod">
								{% if nasVen.AutoMod == 1 %}
								<option value=1 selected>povoleno</option>
							<option value=0>zakázáno</option>
											{% else %}
											<option value=1>povoleno</option>
							<option value=0 selected>zakázáno</option>
											{% endif %}                                
						  </select>
						<p class="help-block">Povolení automatického uzaření při dosažní limitu</p>
						
				</div>
			 <div class="form-group col-lg-4 col-md-4 col-xs-12">
                <label>Přihlašovací heslo:</label>
                <input class="form-control" type="password" id="newPass" name="newPass"/> 
                <p class="help-block">Síla nového hesla: <span id="meter"></span></p>
				
              </div>
              
			  <div class="form-group col-lg-4 col-md-4 col-xs-12">
					<label>WiFi AP heslo:</label>
					<input class="form-control" type="password" name="apPwd" value="" />
					<p class="help-block">Heslo k WiFi AP</p>
				</div>
              <!--<div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>Tel. číslo pro hlasové ovládání</label>
                <input class="form-control" type="text" id="telephone" name="telephone" value="{{ nasGlobal.Tel }}" />
              </div>
              
              <div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>Heslo pro hlasové ovládání</label>
                <input class="form-control" type="text" id="voicePass" name="voicePass" value="{{ nasGlobal.HesloTel }}" />
              </div> -->            
            </div>
            
            <div class="row">
              <div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>E-mail příjemce pro notifikace:</label>
                <input class="form-control" type="text" id="email" name="email" value="{{ nasGlobal.Email }}" />
                <p class="help-block">Na zadanou adresu se budou odesílat notifikace o stavu zařízení</p>
                <a id="show-mail-conf" class="btn btn-info">Nastavení e-mailu</a>
              </div>
              <div class="form-group col-lg-4 col-md-4 col-xs-12">
                <label>Povolit e-mailové notifikace</label>
                <select class="form-control" name="emailAutoSend">
                {% if nasGlobal.AutoSendMail == 1 %}
                  <option value=1 selected>povoleno</option>
                  <option value=0>zakázáno</option>
                {% else %}
                  <option value=1>povoleno</option>
                  <option value=0 selected>zakázáno</option>
                {% endif %}
                  
				</select>
                <p class="help-block">Zapne / vypne odesílání notifikací na e-mail</p>
              </div>
            </div>
            
						
            <div class="row mail-conf">
              <div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>SMTP server:</label>
                <input class="form-control" type="text" name="emailServer" value="{{ nasEmail.Server }}" />
                <p class="help-block">SMTP server pro odchozí poštu</p>
              </div>
              <div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>SMTP port:</label>
                <input class="form-control" type="number" name="emailPort" value="{{ nasEmail.Port }}" />
                <p class="help-block">SMTP port pro odchozí poštu</p>
              </div>
              <div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>Typ šifrování:</label>
                <select class="form-control" name="emailSecurity">
								{% if nasEmail.Security == "none" %}
									<option value="none" selected>Bez šifrování</option>
									<option value="SSL">SSL</option>
                  <option value="TLS">TLS</option>
                {% elif nasEmail.Security == "SSL" %}
									<option value="none">Bez šifrování</option>
                  <option value="SSL" selected>SSL</option>
                  <option value="TLS">TLS</option>
                {% elif nasEmail.Security == "TLS" %}
									<option value="none">Bez šifrování</option>
                  <option value="SSL">SSL</option>
                  <option value="TLS" selected>TLS</option>
                {% endif %}
                </select>
                <p class="help-block">Typ šifrování pro odchozí poštu</p>
              </div>              
            </div>
            
            <div class="row mail-conf">
							<div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>E-mail odesílatele:</label>
                <input class="form-control" type="email" name="emailFrom" value="{{ nasEmail.FromEmail }}" />
                <p class="help-block">E-mail odesílatele pro odchozí poštu</p>
              </div>
							
              <div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>Uživatelské jméno:</label>
                <input class="form-control" type="text" name="emailUsername" value="{{ nasEmail.Username }}" />
                <p class="help-block">Uživatelské jméno pro odchozí poštu</p>
              </div>
              
              <div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
                <label>Heslo:</label>
                <input class="form-control" type="password" name="emailPass" value="{{ nasEmail.Pass }}" />
                <p class="help-block">Heslo k účtu pro odchozí poštu</p>
              </div>                            
            </div>
			
			
			<div class="row eth-conf">
				<h4>&nbsp; Nastavení statické IP pro Ethernet</h4>
				<div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
					<label>IP adresa:</label>
					<input class="form-control" type="text" name="ethIp" value="{{ nasNet.ip }}" />
					<p class="help-block">Statická IP adresa</p>
				</div>
				
				<div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
					<label>Maska podsítě:</label>
					<input class="form-control" type="text" name="ethMask" value="{{ nasNet.subnet }}" />
					<p class="help-block">Statická maska podsítě</p>
				</div>
				
				<div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
					<label>Výchozí brána:</label>
					<input class="form-control" type="text" name="ethGateway" value="{{ nasNet.gateway }}" />
					<p class="help-block">Statická IP adresa výchozí brána sítě</p>
				</div>
			</div>
						
						<div class="row cloud-conf">
							<div class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
								<label>WS server:</label>
								<input class="form-control" type="text" name="wsServer" value="{{ nasGlobal.WSServer }}" />
								<p class="help-block">Název nebo IP serveru pro websocket</p>
							</div>
							<div style="display:none;" class="form-group col-lg-4 col-md-4 col-xs-12 pull-left">
								<label>WS klíč:</label>
								<input class="form-control" type="password" name="wsKey" value="{{ nasGlobal.WSKey }}" />
								<p class="help-block">Klíč pro připojení k serveru</p>
							</div>							
						</div>
            
						<div class="form-group col-lg-12 col-md-12 col-xs-12">
							<input class="btn btn-success" type="submit" value="Uložit nastavení"/>
							<a id="getLogs" href="/getLogs" class="btn btn-primary">Stáhnout logy</a>
							<button id="restartBtn" class="btn btn-warning">Restart zařízení</button>
							<button id="resetBtn" class="btn btn-danger">Tovární nastavení</button>
							<button id="updateBtn" class="btn btn-info">Aktualizace</button>							
						</div>
					</form>
				</div>
				<!-- /.col-lg-12 -->				
			</div>
			<!-- /.row -->
		</div>
		<!-- /.container-fluid -->
	</div>
	<!-- /#page-wrapper -->
</div>

<div id="loaderScr" style="display: none; position:absolute; z-index: 9999; color:#fff; top:0; bottom:0; left:0; right:0; background-color: #000000; opacity:0.85; width:100%; height: 100%;">
	<div style="position:absolute; top: 35%; left: 0; right:0; text-align: center;">
		<h3>Fengoo - WATER GUARD</h3>
		<p id="actHeader" style="font-size: 18px;">PROBÍHÁ AKCE</p>
		<p style="font-size: 16px;">Stránka se po dokončení automaticky obnoví</p>
		<p id="tovSet" style="display: none;">Zařízení se odpojí od WiFi sítě. Připojte se k WiFi síti Fengoo_WATERGUARD s výchozím heslem. Poté na adrese http://192.168.4.1:81 vyberte ke které WiFi síti chcete zažízení připojit.</p>
		<p style="font-size: 22px;">Zbývající čas: <span id="upETA">05:00</span></p>
	</div>
</div>

<script src="{{ url_for('static', filename='sbadmin/vendor/jquery/jquery.min.js') }}"></script>
<!-- Bootstrap Core JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/bootstrap/js/bootstrap.min.js') }}"></script>
<!-- Metis Menu Plugin JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/metisMenu/metisMenu.min.js') }}"></script>
<!-- DataTables JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables-plugins/dataTables.bootstrap.min.js') }}"></script>
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables-responsive/dataTables.responsive.js') }}"></script>
<!-- Custom Theme JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/dist/js/sb-admin-2.js') }}"></script>
<script>
function checkSecond(sec) {
  if (sec < 10 && sec >= 0) {sec = "0" + sec};
  if (sec < 0) {sec = "59"};
  return sec;
}

function startETATimer(id, time, loc) 
{
  var timeArray = time.split(/[:]+/);
  var m0 = timeArray[0];
  var m = m0;
  var s0 = timeArray[1];
  var s = checkSecond((timeArray[1] - 1));
  if(s==59){m=m-1}
      
  if(m == -1 && s == 59)
  {
	location.href = loc;
  } else {
	var actTime = m + ":" + s;
	document.getElementById(id).innerHTML = actTime;
	setTimeout(startETATimer, 1000, id, actTime, loc);
  }
}

function getReq(req, etaId, etaTit, time, loc)
{
	$.get(req, null, function(data, status, xhr)
	{
		console.log(status, xhr);
	});
	
	$("#actHeader").html(etaTit);			
	$("#loaderScr").show();
	startETATimer(etaId, time, loc);
}

function scorePassword(pass) {
    var score = 0;
    if (!pass)
        return score;
    
    if(pass.length >= 3)
    {
      score += 1
    }
    else if (pass.length >= 5)
    {
      score += 2
    }
    else if (pass.length >= 8)
    {
      score += 3
    }
    var variations = {
        digits: /\d/.test(pass),
        lower: /[a-z]/.test(pass),
        upper: /[A-Z]/.test(pass),
        nonWords: /\W/.test(pass),
    }

    variationCount = 0;
    for (var check in variations) {
        variationCount += (variations[check] == true) ? 1 : 0;
    }
    score += variationCount;

    return parseInt(score);
}

function checkPassStrength(pass) {
    var score = scorePassword(pass);
    if (score == 5)
        return "Velmi silné";
    if (score == 4)
        return "Silné";
    if (score == 3)
        return "Dobré";
    if (score == 2)
        return "Slabé";
    if (score == 1)
        return "Velmi slabé";

    return "";
}

$(document).ready(function(){
  var mcs = false;
  $("#show-mail-conf").click(function(){
    $(".mail-conf").slideToggle();
    
    if(mcs == false)    {
      $("#show-mail-conf").text("Skrýt nastavení e-mailu");
      mcs = true;
    } else {
      $("#show-mail-conf").text("Nastavení e-mailu");
      mcs = false;
    }
    
  });
  
  $.getJSON("/version", {}, function(data) {
		$("#ver").html(data);
  });
  
  $("#loaderScr").hide();	
  
	$("#updateBtn").click(function() {
		if(confirm("Opravdu chcete spustit aktualizace?")) 
		{
			getReq("/update","upETA", "PROBÍHÁ AKTUALIZACE", "5:00", "/updated");
		}
		return false;
	});
	
	//$("#logoutBtn").click(function(){
	//	if(confirm("Opravdu se chcete odhlásit?"))
	//	{
	//		location.href ="/logout";
	//	}
	//});
  
  $("#tovSet").hide();
  $("#resetBtn").click(function(){
		if(confirm("Opravdu chcete nastavit zařízení do továrního nastavení?"))
		{
			$("#tovSet").show();
			getReq("/reset","upETA", "PROBÍHÁ TOVÁRNÍ NASTAVENÍ", "03:00", "/nastaveni");
			
		}
		return false;		
	});
  
  $("#restartBtn").click(function(){
		if(confirm("Opravdu chcete restartovat zařízení?"))
		{
			getReq("/restart","upETA", "PROBÍHÁ RESTART", "02:00", "/nastaveni");
		}	
		return false;
	});
  var lastCls = "";
  $("#newPass").on("keypress keyup keydown", function() {
        var pass = $(this).val();
        if(pass.length > 0) {
          var textCls = "";
          var score = scorePassword(pass);
          console.log(score);
          if (score == 5)
            textCls = "very-strong"
          if (score == 4)
            textCls = "strong"
          if (score == 3)
            textCls = "good"
          if (score == 2)
            textCls = "weak";
          if (score == 1)
            textCls = "very-weak";
          
          $("#meter").removeClass(lastCls);
          $("#meter").addClass(textCls);
          lastCls = textCls;
          $("#meter").text(checkPassStrength(pass));
        } else { $("#meter").text(""); }
    });
});
</script>
<script src="{{ url_for('static', filename='js/modalLogout.js') }}"></script>
</body>

</html>
